| FACTOR(1) | FACTOR(1)
| NAME
| factor, primes – factor a number, generate large primes
SYNOPSIS
| `factor` [ number ]
`primes` [ start [ finish ] ]
DESCRIPTION
| Factor prints number and its prime factors, each repeated the proper number of times. The number must be positive and less than 254 (about 1.8×1016).
If no number is given, factor reads a stream of numbers from the standard input and factors them. It exits on any input not a positive integer. Maximum running time is proportional to -/n .
Primes prints the prime numbers ranging from start to finish, where start and finish are positive numbers less than 256. If finish is missing, primes prints without end; if start is missing, it reads the starting number from the standard input.
SOURCE
| `/usr/local/plan9port/src/cmd/factor.c /usr/local/plan9port/src/cmd/primes.c`